## lablgtk2 2.18.5+dfsg

=== src/Makefile ===
# Makefile for lablgtk.

COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3+52 -warn-error A-52 -c
LINKER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS)
COMPOPT = $(CAMLOPT) $(MLFLAGS) -w s -c
LINKOPT = $(CAMLOPT) $(MLFLAGS)
LIBRARIAN = $(CAMLMKLIB) -verbose -ocamlc "$(CAMLC)" -ocamlopt "$(CAMLOPT)"
TOPLEVEL = $(CAMLMKTOP) $(MLFLAGS)
CAMLP4 = $(CAMLP4O) pr_o.cmo

CONFIG = ../config.make

# protect against missing definitions
BINDIR = ""
LIBDIR = ""
INSTALLDIR = $(LIBDIR)/lablgtk2
DLLDIR = $(LIBDIR)/stublibs

include $(CONFIG)
#GTKCFLAGS += -Werror -Wno-error=deprecated-declarations

TARGETS = varcc$(XE) lablgtktop$(XE) lablgtk2$(XB) gdk_pixbuf_mlsource$(XE) \
	$(THINITOBJS) build.ml

all: dist byte
world: dist byte $(CAMLBEST)
install: findlib-install
uninstall: findlib-uninstall

MLLIBS = lablgtk.cma
CLIBS = liblablgtk2$(XA)
#MLLINK = unix.cma str.cma

# For -DG_LOG_DOMAIN=\"LablGTK\"
ifneq ($(TOOLCHAIN),msvc)
GTKCFLAGS += -imacros ml_domain.h
else
GTKCFLAGS += /FI ml_domain.h
endif

# compile using a custom version of mlvalues.h, where value is abstract
ifdef ABSVALUE
GTKCFLAGS += -Iabsvalue -DABSVALUE
endif

ifdef DEBUG
CFLAGS = -g $(GTKCFLAGS)
CUSTOM = -custom
#MLLINK += -cclib -lcamlrund
MLBYTEFLAGS = -g -dtypes
else
CFLAGS = -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS $(GTKCFLAGS)
ifneq ($(TOOLCHAIN),msvc)
CFLAGS += -O
endif
endif

ifeq ($(THREADS_LIB),system)
THFLAGS = -thread
else
THFLAGS = -vmthread
CUSTOM = -custom
endif
THLINK = unix.cma threads.cma

ifdef USE_CC
CCOMPILER = $(CC) -c -I"$(LIBDIR)" $(CFLAGS)
else
CCOMPILER = $(CAMLC) -c -ccopt '$(CFLAGS)' -verbose
endif

ifdef USE_GL
ifdef LABLGLDIR
MLFLAGS += -I $(LABLGLDIR)
endif
MLLINK += lablgl.cma
MLLIBS += lablgtkgl.cma
CLIBS += liblablgtkgl2$(XA)
GLMLOBJS = glGtk.cmo
GLCOBJS = ml_gtkgl$(XO)
endif

#ifdef USE_GNOME
#MLLIBS += lablgnome.cma
#CLIBS += liblablgnome$(XA)
#GNOMEMLOBJS = gtkXmHTML.cmo gHtml.cmo
#GNOMECOBJS = ml_gtkxmhtml$(XO)
#endif

ifdef USE_GLADE
MLLIBS += lablglade.cma
CLIBS += liblablglade2$(XA)
GLADEMLOBJS = glade.cmo
GLADECOBJS = ml_glade$(XO)
TARGETS += lablgladecc$(XE)
endif

ifdef USE_GNOMECANVAS
MLLIBS += lablgnomecanvas.cma
CLIBS += liblablgnomecanvas$(XA)
GNOMECANVASMLOBJS = gnomeCanvas.cmo gnoCanvas.cmo
GNOMECANVASCOBJS = ml_gnomecanvas$(XO)
endif

ifdef USE_GNOMEUI
MLLIBS += lablgnomeui.cma
CLIBS += liblablgnomeui$(XA)
GNOMEUIMLOBJS = gnomeDruid.cmo gnoDruid.cmo
GNOMEUICOBJS = ml_gnomedruid$(XO)

ifdef USE_PANEL
MLLIBS += lablpanel.cma
CLIBS += liblablpanel$(XA)
PANELMLOBJS = panel.cmo
PANELCOBJS = ml_panel$(XO)
endif
endif


ifdef USE_RSVG
MLLIBS += lablrsvg.cma
CLIBS += liblablrsvg$(XA)
RSVGMLOBJS = rsvg.cmo
RSVGCOBJS = ml_rsvg$(XO)
$(RSVGCOBJS) : CFLAGS+=$(HAVE_SVGZ)
endif

ifdef USE_GTKSPELL
MLLIBS += lablgtkspell.cma
CLIBS += liblablgtkspell$(XA)
GTKSPELLMLOBJS = gtkSpell.cmo
GTKSPELLCOBJS = ml_gtkspell$(XO)
endif

ifdef USE_GTKSOURCEVIEW
byte:: lablgtksourceview.cma liblablgtksourceview$(XA)
opt:: lablgtksourceview.cmxa liblablgtksourceview$(XA)
ifeq ($(HAS_NATIVE_DYNLINK),yes)
opt::  lablgtksourceview.cmxs
endif

ml_gtksourceview.o: CFLAGS=$(GTKSOURCEVIEWCFLAGS)
GTKSOURCEVIEWMLOBJS = gtkSourceView.cmo gSourceView.cmo
GTKSOURCEVIEWCOBJS = ml_gtksourceview$(XO)
ml_gtksourceview.c: pango_tags.h
GTKSOURCEVIEWMLOBJSENUM = sourceViewEnums.cmo
GTKSOURCEVIEWPROPS = gtkSourceView.props
CLIBS += liblablgtksourceview$(XA)
EXTRA_MLLIBS += lablgtksourceview.cma
EXTRA_OBJS += $(GTKSOURCEVIEWMLOBJS) $(GTKSOURCEVIEWMLOBJSENUM)
BEFORE_DEPEND += $(GTKSOURCEVIEWMLOBJS:%.cmo=%.ml) $(GTKSOURCEVIEWPROPS:%.props=%Props.ml) $(GTKSOURCEVIEWPROPS:%.props= o%Props.ml) $(GTKSOURCEVIEWMLOBJSENUM:%.cmo=%.ml)
lablgtksourceview.cma liblablgtksourceview$(XA): \
	$(GTKSOURCEVIEWCOBJS) $(GTKSOURCEVIEWMLOBJSENUM) $(GTKSOURCEVIEWPROPS:%.props=%Props.cmo) $(GTKSOURCEVIEWPROPS:%.props=o%Props.cmo) $(GTKSOURCEVIEWMLOBJS)
	$(LIBRARIAN) -o lablgtksourceview $^ $(GTKSOURCEVIEWLIBS)
lablgtksourceview.cmxa: $(GTKSOURCEVIEWCOBJS) $(GTKSOURCEVIEWMLOBJSENUM:.cmo=.cmx) $(GTKSOURCEVIEWPROPS:%.props=%Props.cmx) $(GTKSOURCEVIEWPROPS:%.props=o%Props.cmx) $(GTKSOURCEVIEWMLOBJS:.cmo=.cmx)
	$(LIBRARIAN) -o lablgtksourceview $^ $(GTKSOURCEVIEWLIBS)

endif
ifdef USE_GTKSOURCEVIEW2
MLLIBS += lablgtksourceview2.cma
CLIBS += liblablgtksourceview2$(XA)
GTKSOURCEVIEW2MLOBJS = gtkSourceView2.cmo gSourceView2.cmo
GTKSOURCEVIEW2COBJS = ml_gtksourceview2$(XO)
GTKSOURCEVIEW2MLOBJSENUM = sourceView2Enums.cmo
GTKSOURCEVIEW2PROPS = gtkSourceView2.props
BEFORE_DEPEND += $(GTKSOURCEVIEW2PROPS:%.props=%Props.ml) $(GTKSOURCEVIEW2PROPS:%.props= o%Props.ml) $(GTKSOURCEVIEWMLOBJSENUM:%.cmo=%.ml)
EXTRA_OBJS += $(GTKSOURCEVIEW2MLOBJSENUM)
GTKSOURCEVIEW2ALLMLOBJS = $(GTKSOURCEVIEW2MLOBJSENUM) \
	$(GTKSOURCEVIEW2PROPS:%.props=%Props.cmo) \
	$(GTKSOURCEVIEW2PROPS:%.props=o%Props.cmo) $(GTKSOURCEVIEW2MLOBJS)
lablgtksourceview2.cma liblablgtksourceview2$(XA): \
  $(GTKSOURCEVIEW2COBJS) $(GTKSOURCEVIEW2ALLMLOBJS)
	$(LIBRARIAN) -o lablgtksourceview2 $^ $(GTKSOURCEVIEW2LIBS)
lablgtksourceview2.cmxa: \
  $(GTKSOURCEVIEW2COBJS) $(GTKSOURCEVIEW2ALLMLOBJS:.cmo=.cmx)
	$(LIBRARIAN) -o lablgtksourceview2 $^ $(GTKSOURCEVIEW2LIBS)
lablgtksourceview2.cmxs: DYNLINKLIBS=$(GTKSOURCEVIEW2_LIBS)
endif

ifdef USE_GTKQUARTZ
CFLAGS += -DHAS_GTKQUARTZ
endif
# Rules
.SUFFIXES: .ml .mli .cmo .cmi .cmx .cmxs .cmxa .c $(XO) .d$(XO) .var .h .opt .def .ml4
.c$(XO):
	$(CCOMPILER) $<
.cpp$(XO):
	$(CCOMPILER) $<
.c.d$(XO):
	$(CAMLC) -c -ccopt '-MT -DCAML_DLL -Fo$@ $(CFLAGS)' $<
.ml.cmo:
	$(COMPILER) $(PRINCIPAL) $<
.mli.cmi:
	$(COMPILER) $<
.ml.cmx:
	$(COMPOPT) $<
ifneq ($(CAMLP4O),no)
.ml4.ml:
	$(CAMLP4O) -impl $< -o $@
endif
#.ml4.cmo:
#	$(CAMLC) -c -pp "$(CAMLP4O) -impl" -impl $<
.cmxa.cmxs:
	$(CAMLOPT) -verbose -o $@ -shared -linkall -I . \
        -ccopt '$(filter -L%, $(DYNLINKLIBS))' $<

%_tags.h %_tags.c %Enums.ml: %_tags.var varcc$(XE)
	./varcc $<

%Props.ml o%Props.ml: %.props propcc$(XE)
	./propcc $<

# Files
GTKOBJS =  ml_gtk$(XO) ml_pango$(XO) ml_gtkaction$(XO) \
	ml_gtkbin$(XO) ml_gtkbroken$(XO) ml_gtkbutton$(XO) \
	ml_gtkassistant$(XO) \
	ml_gtkedit$(XO) ml_gtkfile$(XO) ml_gtklist$(XO) \
	ml_gtkmenu$(XO) ml_gtkmisc$(XO) \
	ml_gtkpack$(XO) ml_gtkrange$(XO) ml_gtkstock$(XO) \
	ml_gtktext$(XO) ml_gtktree$(XO)
COBJS = ml_gdkpixbuf$(XO) ml_gdk$(XO) ml_glib$(XO) ml_gobject$(XO) \
	ml_gpointer$(XO) ml_gvaluecaml$(XO) wrappers$(XO) $(GTKOBJS)
GTKPROPS += gtkBase.props gtkBin.props gtkButton.props gtkEdit.props \
	gtkList.props gtkMenu.props gtkMisc.props gtkPack.props \
	gtkRange.props gtkText.props gtkTree.props gtkFile.props \
	gtkAction.props gtkBroken.props gtkAssistant.props
MLOBJS1 =  gaux.cmo gpointer.cmo gutf8.cmo glib.cmo gobject.cmo
ENUMOBJS += gdkEnums.cmo pangoEnums.cmo gtkEnums.cmo
MLOBJS2 = pango.cmo gdk.cmo gdkEvent.cmo gdkKeysyms.cmo gdkPixbuf.cmo \
	gtk.cmo gtkSignal.cmo gtkStock.cmo gtkObject.cmo
MLOBJS3 = gtkData.cmo gtkBase.cmo gtkPack.cmo gtkButton.cmo \
	gtkAssistant.cmo \
	gtkMenu.cmo gtkMisc.cmo gtkWindow.cmo gtkList.cmo \
	gtkBin.cmo gtkEdit.cmo gtkRange.cmo gtkText.cmo gtkTree.cmo \
	gtkFile.cmo gtkMain.cmo gtkBroken.cmo \
	gPango.cmo gDraw.cmo gObj.cmo ogtkBaseProps.cmo gData.cmo
MLOBJS4 = gMain.cmo gContainer.cmo gPack.cmo gButton.cmo gText.cmo \
	gMenu.cmo gMisc.cmo gTree.cmo gList.cmo gFile.cmo gWindow.cmo \
	gAssistant.cmo \
	gBin.cmo gEdit.cmo gRange.cmo gAction.cmo gBroken.cmo \
	gUtil.cmo gToolbox.cmo
MLOBJS =  $(MLOBJS1) $(ENUMOBJS) $(MLOBJS2) $(GTKPROPS:.props=Props.cmo) \
	$(MLOBJS3) $(GTKPROPS:%.props=o%Props.cmo) $(MLOBJS4)
THOBJS = gtkThread.cmo
INITOBJS = gtkInit.cmo
ifdef USE_GTKQUARTZ
THINITOBJS = gtkThTop.cmo
else
THINITOBJS = gtkThInit.cmo
endif
EXTRAOBJS = $(INITOBJS) $(THOBJS) $(THINITOBJS)
ALLOBJS = $(MLOBJS) $(GLMLOBJS) $(GNOMEMLOBJS) $(GLADEMLOBJS) \
	$(RSVGMLOBJS) $(GNOMECANVASMLOBJS) $(GNOMEUIMLOBJS) $(PANELMLOBJS) \
	$(GTKSPELLMLOBJS) $(GTKSOURCEVIEW2MLOBJS) \
	$(INITOBJS)
ALLTHOBJS = $(THOBJS) $(THINITOBJS)
PROPOBJS = $(GTKPROPS:%.props=%Props.cmo) $(GTKPROPS:%.props=o%Props.cmo)
ML4SRC = check_externals.ml propcc.ml varcc.ml

# Targets
byte:: $(TARGETS) $(INITOBJS)
opt::  $(TARGETS) lablgtkopt

depend:
	$(MAKE) real-depend USE_GL=1 USE_GLADE=1 USE_RSVG=1 \
	  USE_GNOMECANVAS=1 USE_GNOMEUI=1 USE_PANEL=1 USE_GTKSPELL=1 \
	  USE_GTKSOURCEVIEW=1 USE_GTKSOURCEVIEW2=1
real-depend: $(ENUMOBJS:.cmo=.ml) $(PROPOBJS:.cmo=.ml) $(BEFORE_DEPEND)
	ocamldep $(ALLOBJS:.cmo=.ml) $(PROPOBJS:.cmo=.ml) \
	  $(ALLTHOBJS:.cmo=.ml) $(BEFORE_DEPEND) *.mli > .depend

ifeq ($(THREADS_LIB),no)
lablgtktop$(XE): $(MLLIBS) $(CONFIG)
	$(TOPLEVEL) $(CUSTOM) -o $@ $(MLLINK) -I . $(MLLIBS)
else
lablgtktop$(XE): $(MLLIBS) $(THOBJS) $(CONFIG)
	$(TOPLEVEL) $(THFLAGS) $(CUSTOM) -o $@ $(THLINK) $(MLLINK) \
	   -I . $(MLLIBS) $(THOBJS)
endif

lablgtk2: Makefile $(CONFIG) lablgtk2.in
	sed -e "s|@INSTALLDIR@|$(LABLGTKDIR)|g" \
	    -e "s|@LABLGLDIR@|$(LABLGLDIR)|g" \
	    -e "s|@MLLIBS@|$(MLLINK) $(MLLIBS)|g" \
	    -e "s|@INITOBJS@|$(INITOBJS)|g" \
	    -e "s|@THOBJS@|$(THOBJS)|g" \
	    -e "s|@THINITOBJS@|$(THINITOBJS)|g" \
	    -e "s|@USEDLL@|$(HAS_DLL_SUPPORT)|g" \
	    -e "s|@THREADS_LIB@|$(THREADS_LIB)|g" \
	    < lablgtk2.in > $@
	chmod 755 $@

lablgtk2.bat: lablgtk2.bat.in
	cp lablgtk2.bat.in lablgtk2.bat

build.ml: Makefile $(CONFIG) build.ml.in
	sed -e "s|@LABLGTK_MLS@|$(MLOBJS:.cmo=)|" \
	    -e "s|@EXTRA_MLS@|$(EXTRAOBJS:.cmo=)|" \
	    -e "s|@PROP_MLS@|$(PROPOBJS:.cmo=)|" \
	    -e "s|@GTKLIBS@|$(GTKLIBS)|" \
	    -e "s|@GLADE_MLS@|$(GLADEMLOBJS:.cmo=)|" \
	    -e "s|@GLADE_LIBS@|$(GLADELIBS)|" \
	    -e "s|@RSVG_MLS@|$(RSVGMLOBJS:.cmo=)|" \
	    -e "s|@RSVG_LIBS@|$(RSVGLIBS)|" \
	    -e "s|@CANVAS_MLS@|$(GNOMECANVASMLOBJS:.cmo=)|" \
	    -e "s|@CANVAS_LIBS@|$(GNOMECANVASLIBS)|" \
	    -e "s|@SOURCEVIEW2_MLS@|$(GTKSOURCEVIEW2ALLMLOBJS:.cmo=)|" \
	    -e "s|@SOURCEVIEW2_LIBS@|$(GTKSOURCEVIEW2LIBS)|" \
	    -e "s|@TOOLCHAIN@|$(TOOLCHAIN)|" \
	    < build.ml.in > $@

gdk_pixbuf_mlsource$(XE) : lablgtk.cma gdk_pixbuf_mlsource.ml
	$(CAMLC) -o $@ -I . $^

lablgtkopt:: $(MLLIBS:.cma=.cmxa) $(INITOBJS:.cmo=.cmx)
ifeq ($(THREADS_LIB),system)
lablgtkopt:: $(THOBJS:.cmo=.cmx)
endif

ifeq ($(HAS_NATIVE_DYNLINK),yes)
lablgtkopt::  $(MLLIBS:.cma=.cmxs)
endif

LABLGLADECCOBJS = gutf8.cmo xml_lexer.cmo lablgladecc.cmo

lablgladecc$(XE): $(LABLGLADECCOBJS)
	$(LINKER) -o $@ $(LABLGLADECCOBJS)

testcc$(XE): lablgladecc$(XE) lablgtktop
	./lablgladecc -test > testcc.ml
	./lablgtktop testcc.ml
	rm -f testcc.ml

PREOBJS= $(MLOBJS) $(EXTRAOBJS) $(GLADEMLOBJS) $(RSVGMLOBJS) \
	$(GNOMECANVASMLOBJS) $(GTKSOURCEVIEW2ALLMLOBJS)

# Install ml sources and C binaries, can then rebuild using build.ml
preinstall:
	mkdir -p "$(INSTALLDIR)" "$(BINDIR)" "$(DLLDIR)"
	cp $(PREOBJS:.cmo=.ml) gtkSourceView2_types.mli "$(INSTALLDIR)"
	for f in $(PREOBJS:.cmo=.mli); do \
	  if test -f $$f; then cp $$f "$(INSTALLDIR)"; fi; done
	cp build.ml "$(INSTALLDIR)"
	cp lablgtk2$(XB) gdk_pixbuf_mlsource$(XE) "$(BINDIR)"
	cp lablgladecc$(XE) "$(BINDIR)/lablgladecc2$(XE)"
	cp $(CLIBS) "$(INSTALLDIR)"
	cp $(CLIBS:lib%$(XA)=dll%$(XS)) "$(DLLDIR)"

# Install directly to $(INSTALLDIR), without using ocamlfind
old-install:
	mkdir -p "$(INSTALLDIR)" "$(BINDIR)" "$(DLLDIR)"
	cp $(ALLOBJS:.cmo=.cmi) $(EXTRA_OBJS:.cmo=.cmi) "$(INSTALLDIR)"
	cp -p ../META *.mli "$(INSTALLDIR)"
	cp -p $(ALLOBJS:.cmo=.ml) $(ALLTHOBJS:.cmo=.ml) \
	      $(EXTRA_OBJS:.cmo=.ml) build.ml "$(INSTALLDIR)"
	cp $(EXTRA_MLLIBS) $(MLLIBS) $(INITOBJS) "$(INSTALLDIR)"
	cp $(CLIBS) "$(INSTALLDIR)"
	cd "$(INSTALLDIR)" && $(RANLIB) $(CLIBS)
	cp varcc$(XE) propcc$(XE) "$(INSTALLDIR)"
	if test $(THREADS_LIB) != no; \
	   then cp $(ALLTHOBJS) $(ALLTHOBJS:.cmo=.cmi) "$(INSTALLDIR)"; \
	fi
	if test $(THREADS_LIB) = vm || test $(HAS_DLL_SUPPORT) != yes; \
	   then cp lablgtktop$(XE) "$(INSTALLDIR)"; \
	fi
	cp -p *.h "$(INSTALLDIR)"
	@if test -f lablgtk.cmxa; then $(MAKE) old-installopt; fi
	@if test -f dlllablgtk2$(XS); then $(MAKE) old-installdll; fi
	cp lablgtk2$(XB) "$(BINDIR)"
	if test -f lablgladecc$(XE); then \

=== debian/changelog ===
lablgtk2 (2.18.5+dfsg-1build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 13:35:44 +0200

lablgtk2 (2.18.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Build without libgnomeui (Closes: #868392)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Jul 2017 22:54:05 +0200

=== debian/control ===
Source: lablgtk2
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-ocaml (>= 0.9.5~),
 ocaml-nox (>= 4.00.1),
 ocaml,
 camlp4 (>= 3.11),
 liblablgl-ocaml-dev (>= 1.04-3~),
 libncurses5-dev,
 libgtk2.0-dev,
 libgtkgl2.0-dev,
 libglade2-dev,
 librsvg2-dev,
 libgnomecanvas2-dev,
 libgtkspell-dev,
 libgtksourceview2.0-dev (>= 2.10),
 ocaml-findlib (>= 1.3.2)
Standards-Version: 3.9.8
Homepage: http://forge.ocamlcore.org/projects/lablgtk/
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lablgtk2.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/lablgtk2.git

Package: liblablgtk2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings for GTK+ version 2
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables.

Package: liblablgtk2-gl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings to GtkGL
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables using GtkGL functionalities.

Package: liblablgtk2-gnome-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings to GNOME
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package include only the dynamic libraries needed for running
 dynamic bytecode executables using GNOME functionalities (gnome-canvas,
 rsvg).

Package: liblablgtksourceview2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblablgtksourceview-ocaml
Breaks: liblablgtksourceview-ocaml (<< 2.14.0+dfsg-1~)
Description: OCaml bindings for libgtksourceview2 (runtime)
 This is the OCaml binding for the GtkSourceView2 widget, a text widget that
 extends the standard GTK+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the shared runtime stub libraries.

Package: liblablgtk2-ocaml-dev
Architecture: any
Suggests: liblablgtk2-gl-ocaml-dev, liblablgtk2-gnome-ocaml-dev
Depends:
 libgtk2.0-dev,
 libglade2-dev,
 libgtkspell-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to Gtk+ version 2
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the development files of lablgtk.

Package: liblablgtk2-gl-ocaml-dev
Architecture: any
Suggests: liblablgtk2-gnome-ocaml-dev
Depends:
 libgtkgl2.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to GtkGL
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the development files of lablgtk for libraries using
 GtkGL.

Package: liblablgtk2-gnome-ocaml-dev
Architecture: any
Depends:
 librsvg2-dev,
 libgnomecanvas2-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to GNOME
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package contains the development files of lablgtk for libraries using
 GNOME functionalities (gnome-canvas, rsvg).

Package: liblablgtksourceview2-ocaml-dev
Architecture: any
Depends:
 libgtksourceview2.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Replaces: liblablgtksourceview-ocaml-dev
Breaks: liblablgtksourceview-ocaml-dev (<< 2.14.0+dfsg-1~)
Description: OCaml bindings for libgtksourceview2, a source editor GTK+ widget
 This is the OCaml binding for the GtkSourceView2 widget, a text widget that
 extends the standard GTK+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the development part of the lablgtksourceview2 package.

Package: liblablgtk2-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances:
 liblablgtk2-ocaml-dev,
 liblablgtk2-gl-ocaml-dev,
 liblablgtk2-gnome-ocaml-dev,
 liblablgtksourceview2-ocaml-dev
Description: OCaml bindings to Gtk+ version 2 (documentation)
 LablGTK2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the API reference of all libraries provided by
 LablGTK2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk
DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	cp  src/.depend debian/src.depend.backup
	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
	--with-gnomecanvas --with-gtkspell --without-gnomeui \
	--with-gtksourceview2

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE)
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) opt
endif

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	[ ! -f config.make ] || $(MAKE) clean
	if [ -f debian/src.depend.backup ]; then \
	  mv debian/src.depend.backup src/.depend; \
	fi
	$(RM) config.log config.make config.status test_dynlink.*

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(MAKE) install DESTDIR=$(DESTDIR)
# remove files related to gtksourceview1 (uncompiled anyway... and
# make dh_ocamldoc fail)
	rm \
	  debian/tmp/usr/lib/ocaml/lablgtk2/gtkSourceView_types.mli \
	  debian/tmp/usr/lib/ocaml/lablgtk2/gSourceView.mli
# remove files related to uncompiled gnome-panel (see #638133)
	rm debian/tmp/usr/lib/ocaml/lablgtk2/panel.mli
# remove files related to libgnomeui (see #868392)
	rm debian/tmp/usr/lib/ocaml/lablgtk2/gnoDruid.mli
# FIXME: we should use upstream META file
	rm debian/tmp/usr/lib/ocaml/lablgtk2/META

.PHONY: override_dh_installexamples
override_dh_installexamples:
	dh_installexamples --exclude='.cvsignore'

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -Xbuild.ml

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://forge.ocamlcore.org/frs/?group_id=220 .*/lablgtk-(.*)\.tar\.gz
# Upstream git repository:
#   http://forge.ocamlcore.org/anonscm/git/lablgtk/lablgtk.git
#   http://forge.ocamlcore.org/scm/browser.php?group_id=220

## lablgtk2 2.18.8%2Bdfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for lablgtk.
 
-COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3+52 -warn-error A-52 -c
+COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3+52 -c
 LINKER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS)
 COMPOPT = $(CAMLOPT) $(MLFLAGS) -w s -c
 LINKOPT = $(CAMLOPT) $(MLFLAGS)
@@ -44,6 +44,7 @@
 endif
 
 ifdef DEBUG
+COMPILER += -warn-error A-52
 CFLAGS = -g $(GTKCFLAGS)
 CUSTOM = -custom
 #MLLINK += -cclib -lcamlrund

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,29 @@
 Source: lablgtk2
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  dh-ocaml (>= 0.9.5~),
  ocaml-nox (>= 4.00.1),
  ocaml,
- camlp4 (>= 3.11),
  liblablgl-ocaml-dev (>= 1.04-3~),
  libncurses5-dev,
  libgtk2.0-dev,
  libgtkgl2.0-dev,
  libglade2-dev,
  librsvg2-dev,
- libgnomecanvas2-dev,
  libgtkspell-dev,
  libgtksourceview2.0-dev (>= 2.10),
  ocaml-findlib (>= 1.3.2)
-Standards-Version: 3.9.8
-Homepage: http://forge.ocamlcore.org/projects/lablgtk/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lablgtk2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/lablgtk2.git
+Standards-Version: 4.4.0
+Homepage: http://garrigue.github.io/lablgtk/
+Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk2.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk2
 
 Package: liblablgtk2-ocaml
 Architecture: any
@@ -64,8 +62,7 @@
  lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
  .
  This package include only the dynamic libraries needed for running
- dynamic bytecode executables using GNOME functionalities (gnome-canvas,
- rsvg).
+ dynamic bytecode executables using GNOME functionalities (rsvg).
 
 Package: liblablgtksourceview2-ocaml
 Architecture: any
@@ -120,7 +117,6 @@
 Architecture: any
 Depends:
  librsvg2-dev,
- libgnomecanvas2-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
@@ -130,7 +126,7 @@
  lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
  .
  This package contains the development files of lablgtk for libraries using
- GNOME functionalities (gnome-canvas, rsvg).
+ GNOME functionalities (rsvg).
 
 Package: liblablgtksourceview2-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 override_dh_auto_configure:
 	cp  src/.depend debian/src.depend.backup
 	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
-	--with-gnomecanvas --with-gtkspell --without-gnomeui \
+	--without-gnomecanvas --with-gtkspell --without-gnomeui \
 	--with-gtksourceview2
 
 .PHONY: override_dh_auto_build
@@ -47,6 +47,8 @@
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/panel.mli
 # remove files related to libgnomeui (see #868392)
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/gnoDruid.mli
+# remove files related to libgnomecanvas (see #885677)
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/gnoCanvas.mli
 # FIXME: we should use upstream META file
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/META
 
@@ -54,6 +56,6 @@
 override_dh_installexamples:
 	dh_installexamples --exclude='.cvsignore'
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing -Xbuild.ml
+.PHONY: override_dh_missing
+override_dh_missing:
+	dh_missing --fail-missing -Xbuild.ml

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
https://github.com/garrigue/lablgtk/releases .*/lablgtk-(2\..*)\.tar\.gz

## lablgtk2 2.18.8+dfsg

=== debian/changelog ===
lablgtk2 (2.18.8+dfsg-2) unstable; urgency=medium

  * Fix compilation with gcc-10 (Closes: #957413)
  * Build without gtksourceview2 (Closes: #885677)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jul 2020 10:42:42 +0200

lablgtk2 (2.18.8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and debian/watch
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12
  * Remove Samuel from Uploaders
  * Remove camlp4 from Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2019 11:52:31 +0200

lablgtk2 (2.18.5+dfsg-3) unstable; urgency=medium

  * Add liblablgtksourceview2-ocaml{,-dev} back
  * Update version in META files (Closes: #822949)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Feb 2019 12:50:30 +0100

lablgtk2 (2.18.5+dfsg-2) unstable; urgency=medium

  * Build without gtksourceview2 and gnomecanvas (Closes: #885677)
  * Remove findlib package lablgtk2-gnome.panel
  * Switch Vcs-* to salsa and other minor changes

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Oct 2018 18:20:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: lablgtk2
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 12),
- dh-ocaml (>= 0.9.5~),
- ocaml-nox (>= 4.00.1),
+ debhelper-compat (= 13),
+ dh-ocaml,
+ ocaml-nox,
  ocaml,
- liblablgl-ocaml-dev (>= 1.04-3~),
+ liblablgl-ocaml-dev,
  libncurses5-dev,
  libgtk2.0-dev,
  libgtkgl2.0-dev,
  libglade2-dev,
  librsvg2-dev,
  libgtkspell-dev,
- libgtksourceview2.0-dev (>= 2.10),
- ocaml-findlib (>= 1.3.2)
-Standards-Version: 4.4.0
+ ocaml-findlib
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://garrigue.github.io/lablgtk/
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk2.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk2
@@ -63,22 +62,6 @@
  .
  This package include only the dynamic libraries needed for running
  dynamic bytecode executables using GNOME functionalities (rsvg).
-
-Package: liblablgtksourceview2-ocaml
-Architecture: any
-Depends:
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
-Provides: ${ocaml:Provides}
-Replaces: liblablgtksourceview-ocaml
-Breaks: liblablgtksourceview-ocaml (<< 2.14.0+dfsg-1~)
-Description: OCaml bindings for libgtksourceview2 (runtime)
- This is the OCaml binding for the GtkSourceView2 widget, a text widget that
- extends the standard GTK+ 2.x text widget with syntax highlighting and other
- features typical of a source editor.
- .
- This package contains the shared runtime stub libraries.
 
 Package: liblablgtk2-ocaml-dev
 Architecture: any
@@ -128,24 +111,6 @@
  This package contains the development files of lablgtk for libraries using
  GNOME functionalities (rsvg).
 
-Package: liblablgtksourceview2-ocaml-dev
-Architecture: any
-Depends:
- libgtksourceview2.0-dev,
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
-Provides: ${ocaml:Provides}
-Recommends: liblablgtk2-ocaml-doc
-Replaces: liblablgtksourceview-ocaml-dev
-Breaks: liblablgtksourceview-ocaml-dev (<< 2.14.0+dfsg-1~)
-Description: OCaml bindings for libgtksourceview2, a source editor GTK+ widget
- This is the OCaml binding for the GtkSourceView2 widget, a text widget that
- extends the standard GTK+ 2.x text widget with syntax highlighting and other
- features typical of a source editor.
- .
- This package contains the development part of the lablgtksourceview2 package.
-
 Package: liblablgtk2-ocaml-doc
 Section: doc
 Architecture: all
@@ -154,7 +119,6 @@
  liblablgtk2-ocaml-dev,
  liblablgtk2-gl-ocaml-dev,
  liblablgtk2-gnome-ocaml-dev,
- liblablgtksourceview2-ocaml-dev
 Description: OCaml bindings to Gtk+ version 2 (documentation)
  LablGTK2 contains bindings for GTK+ 2.x and OCaml.
  .

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	cp  src/.depend debian/src.depend.backup
 	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
 	--without-gnomecanvas --with-gtkspell --without-gnomeui \
-	--with-gtksourceview2
+	--without-gtksourceview2
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
@@ -43,6 +43,10 @@
 	rm \
 	  debian/tmp/usr/lib/ocaml/lablgtk2/gtkSourceView_types.mli \
 	  debian/tmp/usr/lib/ocaml/lablgtk2/gSourceView.mli
+# remove files related to gtksourceview2 (see #885677)
+	rm \
+	  debian/tmp/usr/lib/ocaml/lablgtk2/gtkSourceView2_types.mli \
+	  debian/tmp/usr/lib/ocaml/lablgtk2/gSourceView2.mli
 # remove files related to uncompiled gnome-panel (see #638133)
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/panel.mli
 # remove files related to libgnomeui (see #868392)

## lablgtk2 2.18.11

=== debian/changelog ===
lablgtk2 (2.18.11-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Aug 2020 12:28:18 +0200

lablgtk2 (2.18.8+dfsg-3) unstable; urgency=medium

  * Build without glade

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Aug 2020 11:20:48 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  libncurses5-dev,
  libgtk2.0-dev,
  libgtkgl2.0-dev,
- libglade2-dev,
  librsvg2-dev,
  libgtkspell-dev,
  ocaml-findlib
@@ -68,7 +67,6 @@
 Suggests: liblablgtk2-gl-ocaml-dev, liblablgtk2-gnome-ocaml-dev
 Depends:
  libgtk2.0-dev,
- libglade2-dev,
  libgtkspell-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
https://github.com/garrigue/lablgtk/releases .*/archive/(2\..+)\.tar\.gz

## lablgtk2 2.18.12

=== src/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 endif
 
 ifdef DEBUG
-COMPILER += -warn-error A-52
+COMPILER += -warn-error A-52-6
 CFLAGS = -g $(GTKCFLAGS)
 CUSTOM = -custom
 #MLLINK += -cclib -lcamlrund

=== src/introspection/xml-light/Makefile ===
# Makefile generated by OCamake 
# http://tech.motion-twin.com
.SUFFIXES : .ml .mli .cmo .cmx .cmi .mll .mly

INSTALLDIR=`ocamlc -where`
CFLAGS=
LFLAGS= -a
LIBS=

all: xml-light.cma 
# test.exe doc

opt: xml-light.cmxa
# test_opt.exe

install: all opt
	cp xml-light.cmxa xml-light.a xml-light.cma xml.mli xmlParser.mli dtd.mli xml.cmi xmlParser.cmi dtd.cmi xml.cmx dtd.cmx xmlParser.cmx $(INSTALLDIR)

doc:
	mkdir doc
	ocamldoc -sort -html -d doc xml.mli dtd.mli xmlParser.mli

test.exe: xml-light.cma
	ocamlc xml-light.cma test.ml -o test.exe

test_opt.exe: xml-light.cmxa
	ocamlopt xml-light.cmxa test.ml -o test_opt.exe

xml-light.cma: xml_parser.cmo xml_lexer.cmo dtd.cmo xmlParser.cmo xml.cmo 
	ocamlc -o xml-light.cma $(LFLAGS) $(LIBS) xml_parser.cmo xml_lexer.cmo dtd.cmo xmlParser.cmo xml.cmo

xml-light.cmxa: xml_parser.cmx xml_lexer.cmx dtd.cmx xmlParser.cmx xml.cmx 
	ocamlopt -o xml-light.cmxa $(LFLAGS) $(LIBS) xml_parser.cmx xml_lexer.cmx dtd.cmx xmlParser.cmx xml.cmx

dtd.cmo: xml.cmi xml_lexer.cmi dtd.cmi

dtd.cmx: xml.cmi xml_lexer.cmi dtd.cmi

xml.cmo: dtd.cmi xmlParser.cmi xml_lexer.cmi xml.cmi

xml.cmx: dtd.cmi xmlParser.cmi xml_lexer.cmi xml.cmi

xmlParser.cmo: dtd.cmi xml.cmi xml_lexer.cmi xmlParser.cmi

xmlParser.cmx: dtd.cmi xml.cmi xml_lexer.cmi xmlParser.cmi

dtd.cmi: xml.cmi

xml.cmi: 

xmlParser.cmi: dtd.cmi xml.cmi

xml_lexer.cmi: dtd.cmi

xml_parser.cmo: xml_parser.ml dtd.cmi xml_parser.mli xml_parser.cmi
xml_parser.cmi: xml_parser.ml xml_parser.mli

xml_parser.cmx: xml_parser.ml dtd.cmi xml_parser.mli xml_parser.cmi

xml_lexer.cmo: xml_lexer.ml xml_lexer.cmi

xml_lexer.cmx: xml_lexer.ml xml_lexer.cmi

clean:
	rm -f xml-light.cma test.exe dtd.cmo dtd.cmi test.cmo test.cmi xml.cmo xml.cmi xmlParser.cmo xmlParser.cmi dtd.cmi xml.cmi xmlParser.cmi xml_lexer.cmi xml_lexer.cmo xml_lexer.ml xml_parser.mli xml_parser.cmi xml_parser.ml xml_parser.cmo
	rm -f xml_light.lib xml_light.a xml-light.cmxa test_opt.exe dtd.cmx dtd.obj dtd.o test.cmx test.obj test.o xml.cmx xml.obj xml.o xmlParser.cmx xmlParser.obj xmlParser.o xml_lexer.cmx xml_lexer.obj xml_lexer.o xml_parser.cmx xml_parser.obj xml_parser.o

wclean:
	-@del xml-light.cma test.exe dtd.cmo dtd.cmi test.cmo test.cmi xml.cmo xml.cmi xmlParser.cmo xmlParser.cmi dtd.cmi xml.cmi xmlParser.cmi xml_lexer.cmi xml_lexer.cmo xml_lexer.ml xml_parser.mli xml_parser.cmi xml_parser.ml xml_parser.cmo 2>NUL
	-@del xml_light.lib xml_light.a xml-light.cmxa test_opt.exe dtd.cmx dtd.obj dtd.o test.cmx test.obj test.o xml.cmx xml.obj xml.o xmlParser.cmx xmlParser.obj xmlParser.o xml_lexer.cmx xml_lexer.obj xml_lexer.o xml_parser.cmx xml_parser.obj xml_parser.o 2>NUL

# SUFFIXES
.ml.cmo:
	ocamlc $(CFLAGS) -c $<

.ml.cmx:
	ocamlopt $(CFLAGS) -c $<

.mli.cmi:
	ocamlc $(CFLAGS) $<

.mll.ml:
	ocamllex $<

.mly.ml:
	ocamlyacc $<

=== debian/changelog ===
lablgtk2 (2.18.12-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Mar 2022 08:06:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml,
- ocaml-nox,
  ocaml,
  liblablgl-ocaml-dev,
  libncurses5-dev,
@@ -17,7 +16,7 @@
  librsvg2-dev,
  libgtkspell-dev,
  ocaml-findlib
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://garrigue.github.io/lablgtk/
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk2.git

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$// \
https://github.com/garrigue/lablgtk/releases .*/(2\..+)\.tar\.gz

## lablgtk2 2.18.13

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile for lablgtk.
 
-COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3+52 -c
-LINKER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS)
-COMPOPT = $(CAMLOPT) $(MLFLAGS) -w s -c
+COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3-6+52 -c
+LINKER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3-6+52
+COMPOPT = $(CAMLOPT) $(MLFLAGS) -w s-3-6+52 -c
 LINKOPT = $(CAMLOPT) $(MLFLAGS)
 LIBRARIAN = $(CAMLMKLIB) -verbose -ocamlc "$(CAMLC)" -ocamlopt "$(CAMLOPT)"
 TOPLEVEL = $(CAMLMKTOP) $(MLFLAGS)
@@ -30,6 +30,7 @@
 MLLIBS = lablgtk.cma
 CLIBS = liblablgtk2$(XA)
 #MLLINK = unix.cma str.cma
+MLFLAGS = -I +unix
 
 # For -DG_LOG_DOMAIN=\"LablGTK\"
 ifneq ($(TOOLCHAIN),msvc)
@@ -368,4 +369,3 @@
 	@if test -f lablgtk.cmxa; then $(MAKE) old-installopt; fi
 	@if test -f dlllablgtk2$(XS); then $(MAKE) old-installdll; fi
 	cp lablgtk2$(XB) "$(BINDIR)"
-	if test -f lablgladecc$(XE); then \

=== src/introspection/Makefile ===

OCAMLC=ocamlc
OPT=-g -dtypes
INCLUDES= -I xml-light xml-light.cma 
extract_stubs: extract_prototype.ml xml-light/xml-light.cma
	$(OCAMLC) $(OPT) $(INCLUDES) -o $@ $^

test: extract_stubs
	./extract_stubs /usr/share/gir-1.0/Gtk-3.0.gir > LOG

check: test
	cd stubs ; ocamlc -c -ccopt '`pkg-config --cflags gtk+-3.0`' ml_stubs_Gtk.c
clean:
	rm -f extract_stubs *.annot extract_prototype.cm* ml_stubs.c stubs.ml
	$(MAKE) -C xml-light clean

xml-light/xml-light.cma:
	$(MAKE) -C xml-light

=== debian/changelog ===
lablgtk2 (2.18.13-2) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Jul 2023 07:18:40 +0200

lablgtk2 (2.18.13-1.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Remove gtkspell support.

 -- Bastian Germann <bage@debian.org>  Sun, 23 Jul 2023 17:25:37 +0200

lablgtk2 (2.18.13-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Nicolas Boulenguez ]
  * Remove the gtkgl/glarea component (Closes: #1011323)

 -- Bastian Germann <bage@debian.org>  Sun, 18 Jun 2023 19:12:29 +0200

lablgtk2 (2.18.13-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Set upstream metadata fields
  * Update standards version to 4.6.1
  * Apply multi-arch hints

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 Jan 2023 08:58:55 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,14 @@
  debhelper-compat (= 13),
  dh-ocaml,
  ocaml,
- liblablgl-ocaml-dev,
- libncurses5-dev,
+ libcamlp-streams-ocaml-dev,
+ libncurses-dev,
  libgtk2.0-dev,
- libgtkgl2.0-dev,
  librsvg2-dev,
- libgtkspell-dev,
  ocaml-findlib
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://garrigue.github.io/lablgtk/
+Homepage: https://garrigue.github.io/lablgtk/
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk2.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk2
 
@@ -35,19 +33,6 @@
  This package include only the dynamic libraries needed for running dynamic
  bytecode executables.
 
-Package: liblablgtk2-gl-ocaml
-Architecture: any
-Depends:
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
-Provides: ${ocaml:Provides}
-Description: runtime libraries for OCaml bindings to GtkGL
- lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
- .
- This package include only the dynamic libraries needed for running dynamic
- bytecode executables using GtkGL functionalities.
-
 Package: liblablgtk2-gnome-ocaml
 Architecture: any
 Depends:
@@ -63,10 +48,9 @@
 
 Package: liblablgtk2-ocaml-dev
 Architecture: any
-Suggests: liblablgtk2-gl-ocaml-dev, liblablgtk2-gnome-ocaml-dev
+Suggests: liblablgtk2-gnome-ocaml-dev
 Depends:
  libgtk2.0-dev,
- libgtkspell-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
@@ -76,22 +60,6 @@
  lablgtk2 contains bindings for GTK+ 2.x and OCaml.
  .
  This package contains the development files of lablgtk.
-
-Package: liblablgtk2-gl-ocaml-dev
-Architecture: any
-Suggests: liblablgtk2-gnome-ocaml-dev
-Depends:
- libgtkgl2.0-dev,
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
-Provides: ${ocaml:Provides}
-Recommends: liblablgtk2-ocaml-doc
-Description: OCaml bindings to GtkGL
- lablgtk2 contains bindings for GTK+ 2.x and OCaml.
- .
- This package contains the development files of lablgtk for libraries using
- GtkGL.
 
 Package: liblablgtk2-gnome-ocaml-dev
 Architecture: any
@@ -114,8 +82,8 @@
 Depends: ${misc:Depends}
 Enhances:
  liblablgtk2-ocaml-dev,
- liblablgtk2-gl-ocaml-dev,
  liblablgtk2-gnome-ocaml-dev,
+Multi-Arch: foreign
 Description: OCaml bindings to Gtk+ version 2 (documentation)
  LablGTK2 contains bindings for GTK+ 2.x and OCaml.
  .

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
 	cp  src/.depend debian/src.depend.backup
-	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
-	--without-gnomecanvas --with-gtkspell --without-gnomeui \
+	dh_auto_configure -- --without-gl --without-glade --with-rsvg	\
+	--without-gnomecanvas --without-gtkspell --without-gnomeui \
 	--without-gtksourceview2
 
 .PHONY: override_dh_auto_build
@@ -53,6 +53,10 @@
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/gnoDruid.mli
 # remove files related to libgnomecanvas (see #885677)
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/gnoCanvas.mli
+# remove files related to libglade2 (see #895517)
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/glade.mli
+# remove files related to gtkgl (see #967808)
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/glGtk.mli
 # FIXME: we should use upstream META file
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/META
